### Enumeration

# GdkCrossingMode

#### Declaration

    enum Gdk.CrossingMode

#### Description [src]

Specifies the crossing mode for enter and leave events.

#### Members

`GDK_CROSSING_NORMAL`

  Crossing because of pointer motion.

  - Value: `0`
  - Nickname: `normal`
  - Available since: 4.0
`GDK_CROSSING_GRAB`

  Crossing because a grab is activated.

  - Value: `1`
  - Nickname: `grab`
  - Available since: 4.0
`GDK_CROSSING_UNGRAB`

  Crossing because a grab is deactivated.

  - Value: `2`
  - Nickname: `ungrab`
  - Available since: 4.0
`GDK_CROSSING_GTK_GRAB`

  Crossing because a GTK grab is activated.

  - Value: `3`
  - Nickname: `gtk-grab`
  - Available since: 4.0
`GDK_CROSSING_GTK_UNGRAB`

  Crossing because a GTK grab is deactivated.

  - Value: `4`
  - Nickname: `gtk-ungrab`
  - Available since: 4.0
`GDK_CROSSING_STATE_CHANGED`

  Crossing because a GTK widget changed state (e.g. sensitivity).

  - Value: `5`
  - Nickname: `state-changed`
  - Available since: 4.0
`GDK_CROSSING_TOUCH_BEGIN`

  Crossing because a touch sequence has begun, this event is synthetic as the pointer might have not left the surface.

  - Value: `6`
  - Nickname: `touch-begin`
  - Available since: 4.0
`GDK_CROSSING_TOUCH_END`

  Crossing because a touch sequence has ended, this event is synthetic as the pointer might have not left the surface.

  - Value: `7`
  - Nickname: `touch-end`
  - Available since: 4.0
`GDK_CROSSING_DEVICE_SWITCH`

  Crossing because of a device switch (i.e. a mouse taking control of the pointer after a touch device), this event is synthetic as the pointer didn’t leave the surface.

  - Value: `8`
  - Nickname: `device-switch`
  - Available since: 4.0